// Wait till the browser is ready to render the game (avoids glitches)
var manager = null;
window.requestAnimationFrame(function () {
    onresize();
    manager = new GameManager(4, KeyboardInputManager, HTMLActuator, LocalStorageManager);
});

function getCurrentScore(){
    var jscb = window.jscallback;
    if(jscb!=null&&jscb.getScoreCallback!=null){
        jscb.getScoreCallback(manager.score);
    }
}

window.onresize = function(){
  var container = document.getElementById('op_container');
  var location = GetAbsoluteLocation(container);
  container.style.height = (window.innerHeight
      - location.absoluteTop - 20)+'px';
};



function GetAbsoluteLocation(element)
{
    if ( arguments.length != 1 || element == null )
    {
        return null;
    }
    var offsetTop = element.offsetTop;
    var offsetLeft = element.offsetLeft;
    var offsetWidth = element.offsetWidth;
    var offsetHeight = element.offsetHeight;
    while( element = element.offsetParent )
    {
        offsetTop += element.offsetTop;
        offsetLeft += element.offsetLeft;
    }
    return { absoluteTop: offsetTop, absoluteLeft: offsetLeft,
        offsetWidth: offsetWidth, offsetHeight: offsetHeight };
}